# koishi-plugin-greeting

打招呼（早晚安）的 Koishi 插件。

## 安装

### npm

```bash
npm install koishi-plugin-greeting
```

### 直接安装

在 https://cdn02.moecube.com:444/nanahira/koishi-plugin/greeting/index.js 下载即可。

## 配置

```yaml
plugins:
  greeting:
    instances: # 实例列表
      - from: 'onebot:1000000000' # 源机器人 ID
        to: # 目标，可以有多个
          - userId: '1000000001' # 私聊发送只设置 userId
          - guildId: '20000001' # 群聊或频道则如此设置
            channelId: '20000002'
        rules: # 发送规则，下例是每天各说一句早晚安。
          - fromTime: '07:00' # 最早时间
            toTime: '08:00' # 最迟时间，可以不设置，则固定在最早时间发送。
            salt: 'morning' # 随机盐值，相同盐值相同目标必定在每天同一时间发送。
            patterns: # 语段，对于每一个语段，会带权随机选择一个。
              - words:
                  - word: '早'
                    patterns: [] # 可以继续定义子语段。
              - words:
                  - word: '上好'
                  - word: '安'
                  - word: ''
              - words:
                  - word: '哦' # 内容
                    weight: 2 # 权重，默认为 1
                  - word: '呢'
                    weight: 2
                  - word: ''
              - words:
                  - word: '~'
                    weight: 5
                  - word: '～'
                    weight: 7
                  - word: '。'
                    weight: 2
                  - word: '.'
                    weight: 1
                  - word: ''
                    weight: 3
          - fromTime: '22:00'
            toTime: '23:00'
            salt: 'night'
            patterns:
              - words:
                  - word: '晚安'
              - word:
                  - word: '，好梦'
                  - word: ''
              - words:
                  - word: '哦'
                    weight: 2
                  - word: '呢'
                    weight: 2
                  - word: ''
              - words:
                  - word: '~'
                    weight: 5
                  - word: '～'
                    weight: 7
                  - word: '。'
                    weight: 2
                  - word: '.'
                    weight: 1
                  - word: ''
                    weight: 3
```
